QGIS Application - Bug report #9620
Measure line tool reports incorrect units
2014-02-22 03:26 PM - muscatelle -

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:2.0.1 Regression?: No
Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 18194
Description

After loading OpenStreetMap layer with the Open Layers plugin the measurement tool malfunctions

To reproduce:

1. Create a QGIS project with my local CRS : EPSG:3107 - GDA94 / SA Lambert

2. Load the test file attached containing 1 line feature only - length ~ 620m confirmed correct by physical measurement and by using the
field calculator $length function

3. Measurement tool returns a length of ~ 620m

4. Load OpenLayers plugin - OpenStreeMap. CRS is reset to EPGS: 3857 WGS 84 / Pseudo Mercator

5. Measurement tool now returns a length of ~ 760m - distorted value also applies to area tool calculations and the grid decorator

"Tomas writing on StackExchange":
http://gis.stackexchange.com/questions/66521/buffer-in-qgis-r-is-650-670-m-wide-instead-of-500-m/66592#66592 believes the units
displayed are CRS units rather than metres

History

#1 - 2014-02-23 12:47 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

In qgis 2.0.1 there was an issue that reported bogus area/length values when reprojection was ON.

This is fixed in qgis 2.2 but anyway there is a difference compared to qgis 1.8: in qgis 1.8 even with OTFR on the measurements/computation where
always made on the plane. In QGIS 2.* it depends on what ellipsoid is configured at a project level (default is WGS84). So now with OTFR on and project
is in epsg 3857 your line measures 621.09 meters, but you can always set the ellipsoid the "planimetric/none" and then still get 620.34 meters as length,
even with OTFR on.

Technically now there is no issue, but it can be confusing for users. There is already a ticket about this issue

#9060

that probably we have to close in favor of a new one to discuss on how to improve this controls/options.

#2 - 2014-03-01 08:01 PM - muscatelle -

Thanks Giovanni - learnt a lot from your response
Tony
